


disktool(1)                                           disktool(1)


NNAAMMEE
       disktool  -  Ver 2.0 - monitor filesystems for full condi-
       tions

SSYYNNOOPPSSIISS
       ddiisskkttooooll [ --dd ] [ --hh ] [ --ii _i_n_t ] [ --ll _i_n_t ] [ --ss _i_n_t ]  [
       --cc  _s_t_r_i_n_g ] [ --rr _i_n_t ] [ --uu ] [ --tt _i_n_t ] ffiilleessyysstteemm [[ --tt
       _i_n_t ] ffiilleessyysstteemm ]...

DDEESSCCRRIIPPTTIIOONN
       _d_i_s_k_t_o_o_l is an  XView  program  that  monitors  up  to  64
       filesystems  simultaneously  and  alerts  the  user when a
       filesystem has reached  a  critical  amount  of  available
       space.  Many  of  the command line options can be adjusted
       "on the fly" by clicking  the  right  mouse  button  on  a
       gauge.   A  pop-up  will  allow you to make changes to the
       polling interval time (in seconds), the layout mode (hori-
       zontal/vertical),  number  of  gauges  per  row/column and
       spacing of gauges (in pixels). The apply  button  must  be
       pressed for the options applicable to gauge layout to take
       effect. The display units and critical threshold can  also
       be adjusted on a per gauge basis (the default) or globally
       to all of the gauges thru the pull down menu on the  Apply
       button.   You may also specify a unix command to be called
       when any filesystem being monitored becomes critical  (ie.
       reaches its' threshold). Two shell variables are passed to
       the system call, DISK = the filesystem name  and  BYTES  =
       number  of  MBs/KBs  left  available on that filesystem. A
       toggle is also provided for "un-iconifying" when a thresh-
       old  has  been  met  or  surpassed.  This signaling can be
       repeated every so many polls by specifying the repeat cmd-
       line  option  or by setting the Repeat Signal value on the
       Properties pop-up window.  The icon also  changes  between
       "critical"  and  "OK"  situations  as well as indicate the
       name of the host machine disktool is running on. A  times-
       tamp  on  the  left footer of the frame indicates the last
       time the filesystem(s) being  monitored  were  polled  for
       available  space.   A middle mouse button click will force
       an immediate filesystem poll at any time.

KKEEYYBBOOAARRDD AACCCCEELLEERRAATTOORRSS
       Keyboard accelerators allow quick access to  some  of  the
       configurable  parameters controlling disktool's appearance
       and function.

       ++,,--    these,  respectively,  increase  and  decrease  the
              polling  interval by 10 seconds with each keypress.

       ==      this displays the current polling interval  in  the
              left  footer  for  a second before returning to the
              timestamp label.

       hh,,vv    these, respectively, change to horizontal and  ver-
              tical gauge layout.



                           29 Aug 1994                          1





disktool(1)                                           disktool(1)


       pp      this  forces an immediate filesystem poll to update
              all the gauge values.

       qq,,xx    either of these will cause disktool to quit.

OOPPTTIIOONNSS
       The following options can be given on the command line  as
       indicated  or  with  just  the  first letter following the
       dash.

       --cc,, --ccmmdd _s_t_r_i_n_g
              spcify a unix command line that is executed when  a
              filesystem being monitored goes critical.

       --dd,, --ddeellttaa
              this  causes deltas to be displayed showing a posi-
              tive or negative change in  disk  space  since  the
              last  poll.  By  default, Green indicating increase
              and red indicating decrease.

       --hh,, --hhoorriizzoonnttaall
              specifies the panel layout (default is vertical).

       --ii,, --iinntteerrvvaall _i_n_t
              frequency in seconds for  polling  filesystems  for
              available space (default is 180).

       --ll,, --lliinneeuupp _i_n_t
              number  of  gauges  to lineup before starting a new
              row or column (default is 10).

       --rr,, --rreeppeeaatt _i_n_t
              the integer argument specifies every how many polls
              before  re-signaling  of  a critical filesystem. If
              this value is  set to 0 (the default), the critical
              signal only happens once, when the filesystem first
              goes critical.

       --ss,, --ssppaacciinngg _i_n_t
              gauge spacing in screen pixels. Default is 0, which
              causes auto-calculation of spacing.

       --uu,, --uusseedd
              reverses the gauge displays to show disk space used
              instead of the default, disk space available.

       --tt,, --tthhrreesshhoolldd _i_n_t
              defines the amount of available space in MBytes  to
              be  considered  critical for the following filesys-
              tems.  This  can  be  tailored  individually  after
              startup.  If  the  value  passed contains a 'K', it
              will be evaluated as Kbytes.





                           29 Aug 1994                          2





disktool(1)                                           disktool(1)


       ffiilleessyysstteemm
              name of the filesystem to be monitored.  Up  to  64
              filesystems  can  be specified on the command line,
              delimited by spaces.

EEXXAAMMPPLLEESS
       To execute disktool with a polling interval of 60 secs,  a
       new  column  after every 5 gauges, gauge spacing set to 75
       pixels, deltas displayed, a threshold of 10 MBs and of all
       home partitions, the command would be:

       %% ddiisskkttooooll --ii 6600 --ll 55 --ss 7755 --dd --tt 1100 //hhoommee[[00--99]]**


       To  monitor the first two filesystems with a threshold set
       to 30 MBs and the next two filesystems with a threshold of
       5700 KBs, the command would be:

       %% ddiisskkttooooll --tt 3300 //hhoommee0011 //hhoommee0022 --tt 55770000KK //hhoommee0033 //hhoommee0044


       To  add  the  hostname of the machine disktool was invoked
       from and monitor disk partitions "/home01"  and  "/home02"
       and execute a shell script called "notify_users", the com-
       mand would be:

       %% ddiisskkttooooll --WWll ``hhoossttnnaammee`` //hhoommee0011 //hhoommee0022 --cc nnoottiiffyy__uusseerrss


       "-Wl" being a command line argument valid for  most  XVIEW
       applications.

EENNVVIIRROONNMMEENNTT VVAARRIIAABBLLEESS
       DISPLAY
              Default display.

FFIILLEESS
       .openwin-init
              Command    line    options   are   saved   with   a
              "SAVE_WORKSPACE".

SSEEEE AALLSSOO
       xview

AAUUTTHHOORR
       Shaun M. Finn, _s_f_i_n_n_@_a_s_t_r_o_._g_e_._c_o_m











                           29 Aug 1994                          3


